# ApiError class

If an API error occurred during an API call, this object might be available on ErrorResponse and contains more information about the error that occurred.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

ApiError(String errorId, {required List<ApiErrorItem>? errors})
ApiError.fromJson(Map<String, dynamic> json)
  factory

## Properties

errorId ↔ String
  read / write
errors ↔ List<ApiErrorItem>?
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited